import { OnChanges, ElementRef, NgZone, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { LyTheme2 } from './theme2.service';
import { BooleanInput } from '@angular/cdk/coercion';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class LyPaperBase {
    _theme: LyTheme2;
    _ngZone: NgZone;
    _platform: Platform;
    constructor(_theme: LyTheme2, _ngZone: NgZone, _platform: Platform);
}
export declare const LyPaperMixinBase: import("../common/constructor").Constructor<import("../common/build-common-behaviors").CanStyleUpdater> & import("../common/constructor").Constructor<import("../common/bg").CanBg> & import("../common/constructor").Constructor<import("../common/color").CanColor> & import("../common/constructor").Constructor<import("../common/raised").CanRaised> & import("../common/constructor").Constructor<import("../common/outlined").CanOutlined> & import("../common/constructor").Constructor<import("../common/elevation").CanElevation> & import("../common/constructor").Constructor<import("../common/shadow-color").CanShadowColor> & import("../common/constructor").Constructor<import("../common/disable-ripple").CanDisableRipple> & typeof LyPaperBase;
export declare class LyPaper extends LyPaperMixinBase implements OnChanges, OnInit, OnDestroy {
    private _el;
    private _renderer;
    _hasText: boolean;
    set hasText(val: BooleanInput);
    get hasText(): boolean;
    constructor(theme: LyTheme2, ngZone: NgZone, _el: ElementRef, _renderer: Renderer2, platform: Platform);
    ngOnChanges(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyPaper, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyPaper, "ly-paper, [ly-paper], [ly-text]", never, { "bg": { "alias": "bg"; "required": false; }; "color": { "alias": "color"; "required": false; }; "raised": { "alias": "raised"; "required": false; }; "outlined": { "alias": "outlined"; "required": false; }; "elevation": { "alias": "elevation"; "required": false; }; "shadowColor": { "alias": "shadowColor"; "required": false; }; "disableRipple": { "alias": "disableRipple"; "required": false; }; "hasText": { "alias": "ly-text"; "required": false; }; }, {}, never, never, false, never>;
}
