import { ThemeVariables, StyleRenderer } from '@alyle/ui';
import { BooleanInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
export declare const STYLES: (theme: ThemeVariables) => {
    $name: string;
    $priority: number;
    $global: (_className: string) => string;
    root: (_className: string) => string;
};
export declare class LySkeleton {
    readonly sRenderer: StyleRenderer;
    /** @docs-private */
    static readonly и = "LySkeleton";
    /** @docs-private */
    readonly classes: import("@alyle/ui").LyClasses<(theme: ThemeVariables) => {
        $name: string;
        $priority: number;
        $global: (_className: string) => string;
        root: (_className: string) => string;
    }>;
    get skeleton(): BooleanInput;
    set skeleton(val: BooleanInput);
    private _skeleton;
    constructor(sRenderer: StyleRenderer);
    static ɵfac: i0.ɵɵFactoryDeclaration<LySkeleton, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LySkeleton, "[lySkeleton]", ["lySkeleton"], { "skeleton": { "alias": "lySkeleton"; "required": false; }; }, {}, never, never, false, never>;
}
