import { ElementRef, Renderer2 } from '@angular/core';
import { LyTheme2, ThemeRef } from '../theme/theme2.service';
import { ThemeVariables } from '../theme/theme-config';
import { BooleanInput } from '@angular/cdk/coercion';
import { StyleRenderer } from '../minimal/renderer-style';
import * as i0 from "@angular/core";
export declare class LyExpansionIcon {
    readonly sRenderer: StyleRenderer;
    private _theme;
    private _renderer;
    private _el;
    readonly classes: import("@alyle/ui").LyClasses<(theme: ThemeVariables, ref: ThemeRef) => {
        root: (_className: string) => string;
        line: (_className: string) => string;
        up: () => (_className: string) => string;
    }>;
    private _color;
    private _colorClass;
    private _up;
    set color(val: string);
    get color(): string;
    set up(val: BooleanInput);
    get up(): BooleanInput;
    constructor(sRenderer: StyleRenderer, _theme: LyTheme2, _renderer: Renderer2, _el: ElementRef);
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyExpansionIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LyExpansionIcon, "ly-expansion-icon", never, { "color": { "alias": "color"; "required": false; }; "up": { "alias": "up"; "required": false; }; }, {}, never, never, false, never>;
}
