import { ElementRef, SimpleChanges, OnChanges } from '@angular/core';
import { StyleRenderer, WithStyles, InputStyle } from '../minimal/renderer-style';
import { NumberInput } from '@angular/cdk/coercion';
import * as i0 from "@angular/core";
/**
 * @dynamic
 */
export declare class LyStyle implements WithStyles {
    readonly sRenderer: StyleRenderer;
    set size(value: string | number | null);
    constructor(sRenderer: StyleRenderer);
    /** @docs-private */
    static readonly и = "LyStyle";
    static readonly $priority = -0.5;
    static readonly with: InputStyle<string | number | null>;
    color: string | number | null;
    bg: string | number | null;
    p: string | number | null;
    pf: string | number | null;
    pe: string | number | null;
    pt: string | number | null;
    pb: string | number | null;
    px: string | number | null;
    py: string | number | null;
    m: string | number | null;
    mf: string | number | null;
    me: string | number | null;
    mt: string | number | null;
    mb: string | number | null;
    mx: string | number | null;
    my: string | number | null;
    width: string | number | null;
    maxWidth: string | number | null;
    minWidth: string | number | null;
    height: string | number | null;
    maxHeight: string | number | null;
    minHeight: string | number | null;
    display: string | null;
    flex: string | number | null;
    flexBasis: string | number | null;
    flexDirection: string | null;
    flexGrow: string | number | null;
    flexSelf: string | null;
    flexShrink: string | number | null;
    flexWrap: string | null;
    justifyContent: string | null;
    justifyItems: string | null;
    justifySelf: string | null;
    alignContent: string | null;
    alignItems: string | null;
    order: string | number | null;
    lyStyle: string | null;
    elevation: NumberInput;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyStyle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyStyle, "[lyStyle],              [lyColor],              [lyBg],              [lyP], [lyPf], [lyPe], [lyPt], [lyPb], [lyPx], [lyPy],              [lyM], [lyMf], [lyMe], [lyMt], [lyMb], [lyMx], [lyMy],              [lySize],              [lyWidth], [lyMaxWidth], [lyMinWidth],              [lyHeight], [lyMaxHeight], [lyMinHeight],              [lyDisplay],              [lyFlex],              [lyFlexBasis],              [lyFlexDirection],              [lyFlexGrow],              [lyFlexSelf],              [lyFlexShrink],              [lyFlexWrap],              [lyJustifyContent],              [lyJustifyItems],              [lyJustifySelf],              [lyAlignContent],              [lyAlignItems],              [lyOrder]", never, { "lyStyle": { "alias": "lyStyle"; "required": false; }; "color": { "alias": "lyColor"; "required": false; }; "bg": { "alias": "lyBg"; "required": false; }; "p": { "alias": "lyP"; "required": false; }; "pf": { "alias": "lyPf"; "required": false; }; "pe": { "alias": "lyPe"; "required": false; }; "pt": { "alias": "lyPt"; "required": false; }; "pb": { "alias": "lyPb"; "required": false; }; "px": { "alias": "lyPx"; "required": false; }; "py": { "alias": "lyPy"; "required": false; }; "m": { "alias": "lyM"; "required": false; }; "mf": { "alias": "lyMf"; "required": false; }; "me": { "alias": "lyMe"; "required": false; }; "mt": { "alias": "lyMt"; "required": false; }; "mb": { "alias": "lyMb"; "required": false; }; "mx": { "alias": "lyMx"; "required": false; }; "my": { "alias": "lyMy"; "required": false; }; "size": { "alias": "lySize"; "required": false; }; "width": { "alias": "lyWidth"; "required": false; }; "maxWidth": { "alias": "lyMaxWidth"; "required": false; }; "minWidth": { "alias": "lyMinWidth"; "required": false; }; "height": { "alias": "lyHeight"; "required": false; }; "maxHeight": { "alias": "lyMaxHeight"; "required": false; }; "minHeight": { "alias": "lyMinHeight"; "required": false; }; "display": { "alias": "lyDisplay"; "required": false; }; "flex": { "alias": "lyFlex"; "required": false; }; "flexBasis": { "alias": "lyFlexBasis"; "required": false; }; "flexDirection": { "alias": "lyFlexDirection"; "required": false; }; "flexGrow": { "alias": "lyFlexGrow"; "required": false; }; "flexSelf": { "alias": "lyFlexSelf"; "required": false; }; "flexShrink": { "alias": "lyFlexShrink"; "required": false; }; "flexWrap": { "alias": "lyFlexWrap"; "required": false; }; "justifyContent": { "alias": "lyJustifyContent"; "required": false; }; "justifyItems": { "alias": "lyJustifyItems"; "required": false; }; "justifySelf": { "alias": "lyJustifySelf"; "required": false; }; "alignContent": { "alias": "lyAlignContent"; "required": false; }; "alignItems": { "alias": "lyAlignItems"; "required": false; }; "order": { "alias": "lyOrder"; "required": false; }; "elevation": { "alias": "lyElevation"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * @dynamic
 * @deprecated
 * Spacing
 * [p], [pf], [pe], [pt], [pb], [px], [py],
 * [m], [mf], [me], [mt], [mb], [mx], [my],
 * Sizing
 * [size],
 * [width], [maxWidth], [minWidth],
 * [height], [maxHeight], [minHeight],
 * Others
 * [lyStyle]
 */
export declare class LyStyleDeprecated extends LyStyle implements OnChanges {
    private _el;
    constructor(sRenderer: StyleRenderer, _el: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LyStyleDeprecated, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<LyStyleDeprecated, "              [p], [pf], [pe], [pt], [pb], [px], [py],              [m], [mf], [me], [mt], [mb], [mx], [my],              [size]:not([ly-button]),              [width]:not(svg):not(canvas):not(embed):not(iframe):not(img):not(input):not(object):not(video),              [maxWidth], [minWidth],              [height]:not(svg):not(canvas):not(embed):not(iframe):not(img):not(input):not(object):not(video),              [maxHeight], [minHeight],              [display],              [flex],              [flexBasis],              [flexDirection],              [flexGrow],              [flexSelf],              [flexShrink],              [flexWrap],              [justifyContent],              [justifyItems],              [justifySelf],              [alignContent],              [alignItems],              [order]", never, { "p": { "alias": "p"; "required": false; }; "pf": { "alias": "pf"; "required": false; }; "pe": { "alias": "pe"; "required": false; }; "pt": { "alias": "pt"; "required": false; }; "pb": { "alias": "pb"; "required": false; }; "px": { "alias": "px"; "required": false; }; "py": { "alias": "py"; "required": false; }; "m": { "alias": "m"; "required": false; }; "mf": { "alias": "mf"; "required": false; }; "me": { "alias": "me"; "required": false; }; "mt": { "alias": "mt"; "required": false; }; "mb": { "alias": "mb"; "required": false; }; "mx": { "alias": "mx"; "required": false; }; "my": { "alias": "my"; "required": false; }; "size": { "alias": "size"; "required": false; }; "width": { "alias": "width"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "minWidth": { "alias": "minWidth"; "required": false; }; "height": { "alias": "height"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "minHeight": { "alias": "minHeight"; "required": false; }; "display": { "alias": "display"; "required": false; }; "flex": { "alias": "flex"; "required": false; }; "flexBasis": { "alias": "flexBasis"; "required": false; }; "flexDirection": { "alias": "flexDirection"; "required": false; }; "flexGrow": { "alias": "flexGrow"; "required": false; }; "flexSelf": { "alias": "flexSelf"; "required": false; }; "flexShrink": { "alias": "flexShrink"; "required": false; }; "flexWrap": { "alias": "flexWrap"; "required": false; }; "justifyContent": { "alias": "justifyContent"; "required": false; }; "justifyItems": { "alias": "justifyItems"; "required": false; }; "justifySelf": { "alias": "justifySelf"; "required": false; }; "alignContent": { "alias": "alignContent"; "required": false; }; "alignItems": { "alias": "alignItems"; "required": false; }; "order": { "alias": "order"; "required": false; }; }, {}, never, never, false, never>;
}
